package cn.com.infosec.mobile.android.net;

import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import cn.com.infosec.mobile.android.Jointer;
import java.util.HashMap;

@Keep
public class InfosecHttpParam {
   @Keep
   private int connectTimeout;
   @Keep
   private int requestTimeout;
   @Keep
   private int autoRedirectURL;
   @Keep
   private byte[] postField;
   @Keep
   private String caFile;
   @Keep
   private String serverURL;
   @Keep
   private String filePath;
   @Keep
   private HashMap<String, String> headers;
   @Keep
   private String signCert;
   @Keep
   private String signKey;
   @Keep
   private String encCert;
   @Keep
   private String encKey;
   @Keep
   private String sslPasswd;
   @Keep
   private String certAlias;
   @Keep
   private String certPIN;
   @Keep
   private Jointer jointer;
   @Keep
   private int debug;
   @Keep
   private int authDecompress;
   @Keep
   private int verifyPeer;
   @Keep
   private int verifyHost;
   @Keep
   private String userAgent;
   @Keep
   private String cookieFile;
   @Keep
   private int enableSNI = 1;
   private int autoResume;

   public int getAutoResume() {
      return this.autoResume;
   }

   public void setAutoResume(int autoResume) {
      this.autoResume = autoResume;
   }

   public void setDebug(int debug) {
      this.debug = debug;
   }

   public void setVerifyHost(int verifyHost) {
      this.verifyHost = verifyHost;
   }

   public int getConnectTimeout() {
      return this.connectTimeout;
   }

   public void setConnectTimeout(int connectTimeout) {
      this.connectTimeout = connectTimeout;
   }

   public int getRequestTimeout() {
      return this.requestTimeout;
   }

   public void setRequestTimeout(int requestTimeout) {
      this.requestTimeout = requestTimeout;
   }

   public int getAutoRedirectURL() {
      return this.autoRedirectURL;
   }

   public void setAutoRedirectURL(int autoRedirectURL) {
      this.autoRedirectURL = autoRedirectURL;
   }

   public byte[] getPostField() {
      return this.postField;
   }

   public void setPostField(@NonNull byte[] postField) {
      this.postField = postField;
   }

   public String getCaFile() {
      return this.caFile;
   }

   public void setCaFile(@NonNull String caFile) {
      this.caFile = caFile;
   }

   public String getServerURL() {
      return this.serverURL;
   }

   public void setServerURL(@NonNull String serverURL) {
      this.serverURL = serverURL;
   }

   public String getFilePath() {
      return this.filePath;
   }

   public void setFilePath(@NonNull String filePath) {
      this.filePath = filePath;
   }

   public HashMap<String, String> getHeaders() {
      return this.headers;
   }

   public void setHeaders(@NonNull HashMap<String, String> headers) {
      this.headers = headers;
   }

   public String getSignCert() {
      return this.signCert;
   }

   public void setSignCert(String signCert) {
      this.signCert = signCert;
   }

   public String getSignKey() {
      return this.signKey;
   }

   public void setSignKey(String signKey) {
      this.signKey = signKey;
   }

   public String getEncCert() {
      return this.encCert;
   }

   public void setEncCert(String encCert) {
      this.encCert = encCert;
   }

   public String getEncKey() {
      return this.encKey;
   }

   public void setEncKey(String encKey) {
      this.encKey = encKey;
   }

   public String getSslPasswd() {
      return this.sslPasswd;
   }

   public void setSslPasswd(String sslPasswd) {
      this.sslPasswd = sslPasswd;
   }

   public String getCertAlias() {
      return this.certAlias;
   }

   public void setCertAlias(String certAlias) {
      this.certAlias = certAlias;
   }

   public String getCertPIN() {
      return this.certPIN;
   }

   public void setCertPIN(String certPIN) {
      this.certPIN = certPIN;
   }

   public Jointer getJointer() {
      return this.jointer;
   }

   public void setJointer(Jointer jointer) {
      this.jointer = jointer;
   }

   @Keep
   public void addHeader(@NonNull String key, @NonNull String value) {
      if (this.headers == null) {
         HashMap var3;
         var3 = new HashMap.<init>();
         this.headers = var3;
      }

      this.headers.put(key, value);
   }

   public String getCookieFile() {
      return this.cookieFile;
   }

   public void setCookieFile(String cookieFile) {
      this.cookieFile = cookieFile;
   }

   public String getUserAgent() {
      return this.userAgent;
   }

   public void setUserAgent(String userAgent) {
      this.userAgent = userAgent;
   }
}
